Package org.linphone.core

# Interface PresenceNote

public interface PresenceNote
Presence note type holding information about a presence note.

## Method Summary

Modifier and Type
Method
Description
`String`
`getContent()`
Gets the content of a presence note.
`String`
`getLang()`
Gets the language of a presence note.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`int`
`setContent(String content)`
Sets the content of a presence note.
`int`
`setLang(String lang)`
Sets the language of a presence note.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getContent

@NonNull String getContent()
Gets the content of a presence note.

Returns:
  A pointer to the content of the presence note.

### setContent

int setContent(@NonNull String content)
Sets the content of a presence note.

Parameters:
  `content` - The content of the note.
Returns:
  0 if successful, a value < 0 in case of error.

### getLang

@Nullable String getLang()
Gets the language of a presence note.

Returns:
  A pointer to the language string of the presence note, or null if no
  language is specified.

### setLang

int setLang(@Nullable String lang)
Sets the language of a presence note.

Parameters:
  `lang` - The language of the note.
Returns:
  0 if successful, a value < 0 in case of error.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`